let gyurukUra = {
    cim: "Gyűrűk ura",
    szerzo: "Tolkein",
    megjelenesEve: 1966,
    elerheto: true,
    kolcsonzoNeve: undefined,
    kikolcsonzes: function(kolcsonzoNeve) {
        if (this.elerheto) {
            this.kolcsonzoNeve = kolcsonzoNeve
            this.elerheto = false
            return `A ${this.cim} kikölcsönözve ${this.kolcsonzoNeve} által.`
        } else {
            return "A könyv nem elérhető jelenleg!"
        }
    },
    visszahozas: function() {
        this.kolcsonzoNeve = undefined
        this.elerheto = true
    },
    informacio: function() {
        return `A köny címe: ${this.cim}, szerzője: ${this.szerzo}, megjelenésének éve: ${this.megjelenesEve}, elérhetősége: ${this.elerheto ? "elérhető" : "nem elérhető"}, kölcsönzője ${this.kolcsonzoNeve}`
    }
}

document.getElementById("kiiratas").innerHTML = gyurukUra.informacio()